Description

I'm trying to use Kickstart template for deploying Centos 7.0 using foreman. There is a line in the template file

repo --name="EPEL" --mirrorlist=http://mirrors.fedoraproject.org/metalink?repo=epel-<%= @host.operatingsystem.major >&arch=<=

@host.architecture ><= proxy_string %>

So while deploying due to above repo command yum will try to have EPEL.repo file which will have mirrorlist and proxy. But If I see

EPEL.repo file it will have an entry like this

"mirrorlist=http://mirrors.fedoraproject.org/metalink?repo=epel-7&arch=x86_64proxy=http://abc.com:8080"

which is woring, actually it should create the entry like this

"mirrorlist=http://mirrors.fedoraproject.org/metalink?repo=epel-7&arch=x86_64

proxy=http://abc.com:8080"

Meaning proxy should go in next line. Since proxy is coming in same line of mirrorlist, my deployment is failing in package installation

because it should not able to retrieve the correct mirror.

I want to make this defect as high priority because there is no workaround for this.

Only workaround I could figure out to use baseurl instead mirrorlist.

Please suggest if you this this defect is normal priority

History

#1 - 03/27/2015 04:41 AM - Dominic Cleal

- Status changed from New to Need more information

- Priority changed from High to Normal

Can you paste the template preview?  (From the host page, Templates on the left, then review next to the provision template.)

Perhaps check the kickstart template and ensure it has a space in front of "--proxy" on this line, like this example: 

https://github.com/theforeman/community-templates/blob/master/kickstart/provision.erb#L21

You can change the template to work around problems like this, they are meant to be edited.

#2 - 03/27/2015 04:50 AM - Shivendra Ashish

Here is my proxy string line taken from my template, there is already a space before --proxy.

proxy_string = @host.params['http-proxy'] ? " --proxy=http://#{@host.params['http-proxy']}:#{@host.params['http-proxy-port']}" : ''

Here is the full repo command line from my template.

repo --name=EPEL --mirrorlist=http://mirrors.fedoraproject.org/metalink?repo=epel-<%= @host.operatingsystem.major >&arch=<=

@host.architecture ><= proxy_string %>

#3 - 03/27/2015 04:51 AM - Shivendra Ashish

One good information that might be useful is, this is not happening If I'm deploying Centos 6.6, it is only happening for CentOS 7.0

#4 - 03/27/2015 05:06 AM - Dominic Cleal

Could you look at the preview please to see how it renders?  Follow the instructions from my last comment.
https://github.com/theforeman/community-templates/blob/master/kickstart/provision.erb#L21


#5 - 03/27/2015 06:00 AM - Shivendra Ashish

- File kickstart default added

I have uploaded the template preview file

#6 - 03/27/2015 06:05 AM - Dominic Cleal

- Category set to Templates

- Status changed from Need more information to New

Ok, thanks does indeed seem to be valid.  Perhaps a bug in EL 7.0 then, which a change to the template could workaround if it's not already being

fixed.

#7 - 05/20/2017 05:50 AM - Anonymous

- Status changed from New to Resolved

looks like the problem was elsewhere

Files

kickstart default 5.54 KB 03/27/2015 Shivendra Ashish
